- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adUnitSizes/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adUnitSizes/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adUnitSizes/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adUnitSizes/list#body.request_body)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adUnitSizes/list#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adUnitSizes/list#body.ListAdUnitSizesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adUnitSizes/list#body.aspect)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adUnitSizes/list#try-it)

Lists `AdUnitSize` objects.

### HTTP request

`GET https://admanager.googleapis.com/v1/{parent}/adUnitSizes`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of AdUnitSizes. Format: `networks/{networkCode}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of AdUnitSizes to return. The service may return fewer than this value. If unspecified, at most 50 ad unit sizes will be returned. The maximum value is 1000; values greater than 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `adUnitSizes.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `adUnitSizes.list` must match the call that provided the page token. |
| `filter` | `string` Optional. Expression to filter the response. See syntax details at <https://developers.google.com/ad-manager/api/beta/filters> |
| `orderBy` | `string` Optional. Expression to specify sorting order. See syntax details at <https://developers.google.com/ad-manager/api/beta/filters#order> |
| `skip` | `integer` Optional. Number of individual resources to skip while paginating. |

### Request body

The request body must be empty.

### Response body

Response object for ListAdUnitSizesRequest containing matching AdUnitSizes.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "adUnitSizes": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/AdUnitSize`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `adUnitSizes[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/AdUnitSize`)`` The AdUnitSizes from the specified network. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `integer` Total number of AdUnitSizes. If a filter was included in the request, this reflects the total number after the filtering is applied. `totalSize` won't be calculated in the response unless it has been included in a response field mask. The response field mask can be provided to the method by using the URL parameter `$fields` or `fields`, or by using the HTTP/gRPC header `X-Goog-FieldMask`. For more information, see <https://developers.google.com/ad-manager/api/beta/field-masks> |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).